Merge "manager: Add AMI event Load/Unload"
[asterisk/asterisk.git] / UPGRADE.txt
1 ===========================================================
2 ===
3 === Information for upgrading between Asterisk versions
4 ===
5 === These files document all the changes that MUST be taken
6 === into account when upgrading between the Asterisk
7 === versions listed below. These changes may require that
8 === you modify your configuration files, dialplan or (in
9 === some cases) source code if you have your own Asterisk
10 === modules or patches. These files also include advance
11 === notice of any functionality that has been marked as
12 === 'deprecated' and may be removed in a future release,
13 === along with the suggested replacement functionality.
14 ===
15 === UPGRADE-1.2.txt -- Upgrade info for 1.0 to 1.2
16 === UPGRADE-1.4.txt -- Upgrade info for 1.2 to 1.4
17 === UPGRADE-1.6.txt -- Upgrade info for 1.4 to 1.6
18 === UPGRADE-1.8.txt -- Upgrade info for 1.6 to 1.8
19 === UPGRADE-10.txt  -- Upgrade info for 1.8 to 10
20 === UPGRADE-11.txt  -- Upgrade info for 10 to 11
21 === UPGRADE-12.txt  -- Upgrade info for 11 to 12
22 === UPGRADE-13.txt  -- Upgrade info for 12 to 13
23 === UPGRADE-14.txt  -- Upgrade info for 13 to 14
24 === UPGRADE-15.txt  -- Upgrade info for 14 to 15
25 ===========================================================
26
27 New in 16.0.0:
28
29 app_macro:
30  - The app_macro module is now deprecated and by default it is no longer
31    built.  Users should migrate to app_stack (Gosub).  A warning is logged
32    the first time any Macro is used.
33
34 AMI:
35  - The ContactStatus and Status fields for the manager events ContactStatus
36    and ContactStatusDetail are now set to "NonQualified" when a contact exists
37    but has not been qualified.
38
39 ARI:
40  - The ContactInfo event's contact_status field is now set to "NonQualified"
41    when a contact exists but has not been qualified.
42
43 cdr_syslog:
44  - The cdr_syslog module is now deprecated and by default it is no longer
45    built.
46
47 Core:
48  - libedit is no longer available as an embedded library and must be provided
49    by the system.